# termage — Color images in the terminal

True color if the terminal supports it, otherwise falls back to small palette.

`termage` uses ImageMagick to convert your image to ppm format, properly scaled
as well,, which is fed to `termage` for display.

## Build

`make`

after building and installing dependencies:

- [libscerror](https://git.bobpolis.com/bob/libscerror/)
- [libscstring](https://git.bobpolis.com/bob/libscstring/)
- [libscterm](https://git.bobpolis.com/bob/libscterm/)
- NetPBM (development library)
- ImageMagick (tools)

## Install

`sudo make install`

or, on OpenBSD:

`doas gmake install`

## Run

`termage <image file>`

: Shows given image file in the terminal.
